Package ru.bitel.bgbilling.modules.mobile.common.bean

# Class MobileContractNotification.Builder

java.lang.Object
ru.bitel.bgbilling.modules.mobile.common.bean.MobileContractNotification.Builder

Enclosing class:
  `MobileContractNotification`

public static class MobileContractNotification.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MobileContractNotification`
  `build()`
  `MobileContractNotification.Builder`
  `setContractId(int contractId)`
  `MobileContractNotification.Builder`
  `setDateConfirm(Date dateConfirm)`
  `MobileContractNotification.Builder`
  `setDateSend(Date dateSend)`
  `MobileContractNotification.Builder`
  `setId(int id)`
  `MobileContractNotification.Builder`
  `setParams(Map<String,String> params)`
  `MobileContractNotification.Builder`
  `setStatus(PushStatusType status)`
  `MobileContractNotification.Builder`
  `setStorable(boolean storable)`
  `MobileContractNotification.Builder`
  `setText(String text)`
  `MobileContractNotification.Builder`
  `setUserId(int userId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public MobileContractNotification.Builder setId(int id)

  - ### setContractId

    public MobileContractNotification.Builder setContractId(int contractId)

  - ### setText

    public MobileContractNotification.Builder setText(String text)

  - ### setStatus

    public MobileContractNotification.Builder setStatus(PushStatusType status)

  - ### setStorable

    public MobileContractNotification.Builder setStorable(boolean storable)

  - ### setParams

    public MobileContractNotification.Builder setParams(Map<String,String> params)

  - ### setDateSend

    public MobileContractNotification.Builder setDateSend(Date dateSend)

  - ### setDateConfirm

    public MobileContractNotification.Builder setDateConfirm(Date dateConfirm)

  - ### setUserId

    public MobileContractNotification.Builder setUserId(int userId)

  - ### build

    public MobileContractNotification build()